Bug 44677 - Anaconda failed when upgrading 7.1 to add new components
Summary: Anaconda failed when upgrading 7.1 to add new components
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-15 11:13 UTC by ajrs
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-19 14:56:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug report written to floppy when error occurred (977 bytes, text/plain)
2001-06-15 11:14 UTC, ajrs
no flags Details
Original /etc/lilo.conf file (268 bytes, text/plain)
2001-06-18 07:36 UTC, ajrs
no flags Details
/etc/fstab file (772 bytes, text/plain)
2001-06-18 07:37 UTC, ajrs
no flags Details
output of 'fdisk -l /dev/hdc' (382 bytes, text/plain)
2001-06-18 07:38 UTC, ajrs
no flags Details

Description ajrs 2001-06-15 11:13:07 UTC
Description of Problem:


How Reproducible:
Tried to add NUT (network UPS tools) to existing 7.1 installation, via
upgrade process using anaconda.

Steps to Reproduce:
1. Boot PC with installation floppy as for upgrade
2. Select all 3 NUT packages
3. Confirm dependencies on additional package (apache)

Actual Results:
Threw an error and went into bug report generation GUI (wrote text file 
to floppy)


Expected Results:


Additional Information:

Comment 1 ajrs 2001-06-15 11:14:16 UTC
Created attachment 21162 [details]
Bug report written to floppy when error occurred

Comment 2 Brent Fox 2001-06-15 15:57:19 UTC
Can you attach your original /etc/lilo.conf file, /etc/fstab.py file and also
the output of 'fdisk -l /dev/hdc'?

Comment 3 ajrs 2001-06-18 07:36:27 UTC
Created attachment 21226 [details]
Original /etc/lilo.conf file

Comment 4 ajrs 2001-06-18 07:37:27 UTC
Created attachment 21227 [details]
/etc/fstab file

Comment 5 ajrs 2001-06-18 07:38:19 UTC
Created attachment 21228 [details]
output of 'fdisk -l /dev/hdc'

Comment 6 Brent Fox 2001-06-19 14:56:11 UTC
Ok.  I think I see the problem.  I think that the last two lines of the
lilo.conf file don't make any sense.  The "image=" line is where you specify a
kernel to boot, such as /boot/vmlinuz-2.4.2-2...not device names.  I recommend
that you remove the last two lines and rerun the lilo command, and then try the
upgrade again.

Please reopen the bug if you continue to see problems.


Note You need to log in before you can comment on or make changes to this bug.